Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 746173 - media-libs/libvpx-1.9.0 fails tests on ppc64 (big-endian)
Summary: media-libs/libvpx-1.9.0 fails tests on ppc64 (big-endian)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-02 17:42 UTC by Georgy Yakovlev
Modified: 2022-01-03 22:24 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Georgy Yakovlev archtester gentoo-dev 2020-10-02 17:42:19 UTC
fails a lot of tests.

looks like we need to --force-target=generic-gnu on ppc64be (but not le) as well.

I have this diff in mind, currently testing

diff --git a/media-libs/libvpx/libvpx-1.9.0.ebuild b/media-libs/libvpx/libvpx-1.9.0.ebuild
index 7505ae66f662..d9102183b6b1 100644
--- a/media-libs/libvpx/libvpx-1.9.0.ebuild
+++ b/media-libs/libvpx/libvpx-1.9.0.ebuild
@@ -81,11 +81,11 @@ multilib_src_configure() {
        case "${CHOST}" in
                i?86*) export AS=yasm;;
                x86_64*) export AS=yasm;;
+               # powerpc toolchain is not recognized anymore, #694368
+               # apply same workaround for ppc64, but not for ppc64le
+               powerpc-*|powerpc64-*) myconfargs+=( --force-target=generic-gnu );;
        esac

-       # powerpc toolchain is not recognized anymore, #694368
-       [[ ${CHOST} == powerpc-* ]] && myconfargs+=( --force-target=generic-gnu )
-
        # Build with correct toolchain.
        tc-export CC CXX AR NM
        # Link with gcc by default, the build system should override this if needed.
Comment 1 Georgy Yakovlev archtester gentoo-dev 2020-10-02 18:06:07 UTC
disregard the patch, build system already assumes generic-gnu target itself on powerpc64-*-gnu CHOST.
Comment 2 Larry the Git Cow gentoo-dev 2021-12-30 04:21:24 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=73bb5c035a58480d2a455619a02f4097b1e58a10

commit 73bb5c035a58480d2a455619a02f4097b1e58a10
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-12-30 04:20:43 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-12-30 04:21:14 +0000

    media-libs/libvpx: add 1.11.0
    
    Notably now forcing specific targets only where we
    know libvpx works well and otherwise using
    the generic implementation due to
    runtime breakage (and extensive test failures).
    
    Closes: https://bugs.gentoo.org/830254
    Bug: https://bugs.gentoo.org/814668
    Bug: https://bugs.gentoo.org/700902
    Bug: https://bugs.gentoo.org/746173
    Bug: https://bugs.gentoo.org/499336
    Signed-off-by: Sam James <sam@gentoo.org>

 media-libs/libvpx/Manifest             |   2 +
 media-libs/libvpx/libvpx-1.11.0.ebuild | 136 +++++++++++++++++++++++++++++++++
 2 files changed, 138 insertions(+)
Comment 3 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-01-03 12:46:53 UTC
We've applied a bunch of workarounds like this in 1.11.0. obviously feel free to reopen if any issues remain
Comment 4 Georgy Yakovlev archtester gentoo-dev 2022-01-03 22:24:25 UTC
lol@me, it was my bug